#! /usr/local/bin/perl
use SAS;

my $type = shift;

foreach($type) {
    /message/ and do {
      SAS::message($SAS::AppMsg, $SAS::SilentMsg, "Message from the SAS (silent)");
      SAS::message($SAS::AppMsg, $SAS::SparseMsg, "Message from the SAS (sparse)");
      SAS::message($SAS::AppMsg, $SAS::VerboseMsg, "Message from the SAS (verbose)");
      SAS::message($SAS::AppMsg, $SAS::NoisyMsg, "Message from the SAS (noisy)");
	next;
    };

    /warning/ and do {
      SAS::warning("code", "warning");
	next;
    };

    /error/ and do {
      SAS::error("code", "error");
	next;
    };

  /fatal/ and do {
    SAS::fatal("code", "fatal");
      next;
  };

    die("wrong input to test harness\n");

}


